---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass019.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53C00, symBinAddr: 0xC410, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55B40, symBinAddr: 0xE350, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55F30, symBinAddr: 0xE740, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56ED0, symBinAddr: 0xF6E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56EE0, symBinAddr: 0xF6F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53710, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53714, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53718, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53870, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53928, symBinAddr: 0xC228, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5392C, symBinAddr: 0xC22C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53930, symBinAddr: 0xC230, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x53934, symBinAddr: 0xC234, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53938, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53940, symBinAddr: 0xC240, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53958, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53960, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53968, symBinAddr: 0xC268, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53970, symBinAddr: 0xC270, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53978, symBinAddr: 0xC278, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x539BC, symBinAddr: 0xC28C, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x539BD, symBinAddr: 0xC28D, symSize: 0x0 }
  - { offsetInCU: 0x90FE, offset: 0x90FE, size: 0x8, addend: 0x0, symName: __ZL6frames, symObjAddr: 0xEB40, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x91B6, offset: 0x91B6, size: 0x8, addend: 0x0, symName: __ZL10checkPoint, symObjAddr: 0xEC20, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x91DB, offset: 0x91DB, size: 0x8, addend: 0x0, symName: __ZL6chain3, symObjAddr: 0xEC40, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x91F4, offset: 0x91F4, size: 0x8, addend: 0x0, symName: __ZL6chain2, symObjAddr: 0xEC60, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x920D, offset: 0x920D, size: 0x8, addend: 0x0, symName: __ZL6chain1, symObjAddr: 0xEC80, symBinAddr: 0xC0F0, symSize: 0x0 }
  - { offsetInCU: 0x9232, offset: 0x9232, size: 0x8, addend: 0x0, symName: __ZL3run, symObjAddr: 0xECD0, symBinAddr: 0xC140, symSize: 0x0 }
  - { offsetInCU: 0x924B, offset: 0x924B, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x539C0, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x9264, offset: 0x9264, size: 0x8, addend: 0x0, symName: __ZL10classBytes, symObjAddr: 0x539C8, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x927D, offset: 0x927D, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x539D0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x9296, offset: 0x9296, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x539D8, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x92AF, offset: 0x92AF, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x539E0, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x92C8, offset: 0x92C8, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x539E8, symBinAddr: 0xC2B8, symSize: 0x0 }
  - { offsetInCU: 0x92E1, offset: 0x92E1, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x539F8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x92FA, offset: 0x92FA, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x53B30, symBinAddr: 0xC400, symSize: 0x0 }
  - { offsetInCU: 0x934C, offset: 0x934C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x38C0, symSize: 0x80 }
  - { offsetInCU: 0x93E1, offset: 0x93E1, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3810, symSize: 0xB0 }
  - { offsetInCU: 0x943C, offset: 0x943C, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3710, symSize: 0x100 }
  - { offsetInCU: 0x96CF, offset: 0x96CF, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3940, symSize: 0x220 }
  - { offsetInCU: 0x98B4, offset: 0x98B4, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3B60, symSize: 0xA0 }
  - { offsetInCU: 0x9967, offset: 0x9967, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3C00, symSize: 0x110 }
  - { offsetInCU: 0x9A5D, offset: 0x9A5D, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3D10, symSize: 0x150 }
  - { offsetInCU: 0x9B8E, offset: 0x9B8E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3E60, symSize: 0x30 }
  - { offsetInCU: 0x9C6F, offset: 0x9C6F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3E90, symSize: 0x150 }
  - { offsetInCU: 0x9E67, offset: 0x9E67, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3FE0, symSize: 0x160 }
  - { offsetInCU: 0x9FF3, offset: 0x9FF3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4140, symSize: 0x1B0 }
  - { offsetInCU: 0xA20E, offset: 0xA20E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x42F0, symSize: 0xA0 }
  - { offsetInCU: 0xA309, offset: 0xA309, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4390, symSize: 0x20 }
  - { offsetInCU: 0xA340, offset: 0xA340, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x43B0, symSize: 0x20 }
  - { offsetInCU: 0xA377, offset: 0xA377, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x43D0, symSize: 0x20 }
  - { offsetInCU: 0xA56E, offset: 0xA56E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x43F0, symSize: 0x1A0 }
  - { offsetInCU: 0xA894, offset: 0xA894, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4590, symSize: 0x80 }
  - { offsetInCU: 0xA95D, offset: 0xA95D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4610, symSize: 0x6A0 }
  - { offsetInCU: 0xB4F2, offset: 0xB4F2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA940, symBinAddr: 0x60E0, symSize: 0xB0 }
  - { offsetInCU: 0xB569, offset: 0xB569, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4CB0, symSize: 0x70 }
  - { offsetInCU: 0xB6ED, offset: 0xB6ED, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4D20, symSize: 0xA0 }
  - { offsetInCU: 0xB844, offset: 0xB844, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4DC0, symSize: 0x40 }
  - { offsetInCU: 0xB93A, offset: 0xB93A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4E00, symSize: 0x2B0 }
  - { offsetInCU: 0xBCE0, offset: 0xBCE0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x50B0, symSize: 0xC0 }
  - { offsetInCU: 0xBE26, offset: 0xBE26, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5170, symSize: 0x10 }
  - { offsetInCU: 0xBEE8, offset: 0xBEE8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5180, symSize: 0x220 }
  - { offsetInCU: 0xC1E5, offset: 0xC1E5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x53A0, symSize: 0x10 }
  - { offsetInCU: 0xC242, offset: 0xC242, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x53B0, symSize: 0x1E0 }
  - { offsetInCU: 0xC41A, offset: 0xC41A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x5590, symSize: 0x10 }
  - { offsetInCU: 0xC51F, offset: 0xC51F, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9E00, symBinAddr: 0x55A0, symSize: 0x730 }
  - { offsetInCU: 0xCB77, offset: 0xCB77, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA530, symBinAddr: 0x5CD0, symSize: 0x1A0 }
  - { offsetInCU: 0xCDD3, offset: 0xCDD3, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0xA6D0, symBinAddr: 0x5E70, symSize: 0xB0 }
  - { offsetInCU: 0xCEB8, offset: 0xCEB8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass019_getReady, symObjAddr: 0xA780, symBinAddr: 0x5F20, symSize: 0x180 }
  - { offsetInCU: 0xD0F2, offset: 0xD0F2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass019_check, symObjAddr: 0xA900, symBinAddr: 0x60A0, symSize: 0x40 }
  - { offsetInCU: 0xD12E, offset: 0xD12E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA9F0, symBinAddr: 0x6190, symSize: 0x36A }
...
